From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 16 February 2009<P>

I think it's funny how everyone in a Woody Allen movie goes through little Woody Allen impressions... not all the time, but at least once...
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 16 February 2009<P>

Part of me wondered if he were just being a dirty old man wanting to see two beautiful women kissing or buying into the I kissed a girl theme. (Pretty obvious duh, both haaa) I liked the movie, it was pretty cool and there has been nothing much to watch this year. until Benjamin Buttons and Slumdog Millionaire? <BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 16 February 2009<P>

i love the water colour. it's so poignant.
<HR>
From: <a href="/blend/av.cgi?id=1945">Bighead</a><BR>
Date: 16 February 2009<P>

Thanks for the picks!
<HR>